function  WWHBookData_AddTOCEntries(P)
{
var A=P.fN("0 Document History","1");
A=P.fN("1 Overview","2");
var B=A.fN("1.1 Supported Products","3");
B=A.fN("1.2 Related Documents","4");
B=A.fN("1.3 Abbreviations","5");
B=A.fN("1.4 General Requirements and Precautions","6");
B=A.fN("1.5 User Defined Settings","7");
A=P.fN("2 Generic Update Program gWinSwup","8");
B=A.fN("2.1 Connecting the ME","9");
B=A.fN("2.2 Download via Serial Interface with IGT and DTR Connected (ASC0)","10");
B=A.fN("2.3 Download via Serial Interface with IGT and DTR Not Con\u00adnected (ASC1)","11");
B=A.fN("2.4 Baudrate Settings on ASC0 / ASC1","12");
B=A.fN("2.5 gWinSwup Download via USB","13");
B=A.fN("2.6 gWinSwup Settings for Repairing Invalid Firmware","14");
B=A.fN("2.7 Troubleshooting","15");
A=P.fN("3 Generic Firmware Update","16");
B=A.fN("3.1 Format of the Firmware File supplied from Siemens","17");
B=A.fN("3.2 Requirements for the Firmware Download Utility","18");
var C=B.fN("3.2.1 Known Limitations","19");
C=B.fN("3.2.2 Download Protocol for ASC0 / ASC1","20");
var D=C.fN("3.2.2.1 Example of Firmware Download Program for ASC0/ASC1","20#1276678");
C=B.fN("3.2.3 Download Protocol for USB","21");
D=C.fN("3.2.3.1 Example of Firmware Download Program for USB","21#1277881");
B=A.fN("3.3 Error Handling for Generic Firmware Update","22");
A=P.fN("4 Auxiliary Equipment for Software Download","23");
B=A.fN("4.1 Download Cable","23#1278682");
}
